clang-tools 8.0.0

Classes | Namespaces
Context.h File Reference
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/Support/Compiler.h"`
`#include <memory>`
`#include <type_traits>`
Include dependency graph for Context.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::Key< Type >
| Values in a Context are indexed by typed keys. More...
class | clang::clangd::Context
| A context is an immutable container for per-request data that must be propagated through layers that don't care about it. More...
class | clang::clangd::WithContext
| WithContext replaces Context::current() with a provided scope. More...
class | clang::clangd::WithContextValue
| WithContextValue extends Context::current() with a single value. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd